Subject: Re: Job | Shortlisted for CCE/Sr. CCE - International Non Voice Process
From: Pragati Khanna <[email-masked]>
To: [email-masked]
Date: Tue, 10 Nov 2020 19:02:41 +0530

Not able to view Details? Learn More

Job Title
Job | Shortlisted for CCE/Sr. CCE - International Non Voice Process

293 Applicants

View All

Pragati Khanna
I started my career with Concentrix Daksh Pvt Ltd. for reliance jio as a customer service associate wherein I have to resolve customer's issue within the provided Tat. Then, I joined Amazon Development Services Pvt Ltd. where I was initially a part of IN calls and then moved to Amazon NA Message Us to resolve customer's concerns.

Shortlist

Reject

Current Designation Not Mentioned
Current Company Not Mentioned
Notice Period 15 Days or less
Previous Designation Not Mentioned
Previous Company Not Mentioned

Contact Details
Mobile:

Exp
2 Yrs

CTC

Location

Not Able to View Details? Learn More
Preferred Location: Delhi / NCR
Education
B.A
SWAMI VIVEKANAND SUBHARTI UNIVERSITY
Key Skills
BPO, Back Office, Operations, Customer Service, Backend, Non Voice

Shortlist

Reject

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem